curl --request POST \
--url https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"prompt": "Hello world! Welcome to MiniMax's new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!"
}
EOF
import requests
url = "https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd"
payload = { "prompt": "Hello world! Welcome to MiniMax's new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'Hello world! Welcome to MiniMax\'s new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!'
})
};
fetch('https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => 'Hello world! Welcome to MiniMax\'s new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd"
payload := strings.NewReader("{\n \"prompt\": \"Hello world! Welcome to MiniMax's new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"Hello world! Welcome to MiniMax's new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"Hello world! Welcome to MiniMax's new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!\"\n}"
response = http.request(request)
puts response.read_body
import Foundation
let parameters = ["prompt": "Hello world! Welcome to MiniMax's new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!"] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))
{
"error": "INSUFFICIENT_CREDITS",
"code": "TTS_GENERATION_INSUFFICIENT_CREDITS",
"message": "Insufficient credits for this generation."
}
{
"error": "WORKSPACE_FORBIDDEN",
"code": "WORKSPACE_FORBIDDEN",
"message": "You do not have access to this workspace."
}
{
"error": "TEMPLATE_NOT_FOUND",
"code": "TEMPLATE_NOT_FOUND",
"message": "Template not found."
}
{
"error": "TTS_GENERATION_CONTENT_REJECTED",
"code": "TTS_GENERATION_CONTENT_REJECTED",
"message": "Request content was rejected by the moderation policy."
}
curl --request POST \
--url https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"prompt": "Hello world! Welcome to MiniMax's new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!"
}
EOF
import requests
url = "https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd"
payload = { "prompt": "Hello world! Welcome to MiniMax's new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'Hello world! Welcome to MiniMax\'s new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!'
})
};
fetch('https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => 'Hello world! Welcome to MiniMax\'s new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd"
payload := strings.NewReader("{\n \"prompt\": \"Hello world! Welcome to MiniMax's new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"Hello world! Welcome to MiniMax's new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"Hello world! Welcome to MiniMax's new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!\"\n}"
response = http.request(request)
puts response.read_body
import Foundation
let parameters = ["prompt": "Hello world! Welcome to MiniMax's new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!"] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://open.skills.video/api/v1/generation/fal-ai/minimax/speech-2.8-hd")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))
{
"error": "INSUFFICIENT_CREDITS",
"code": "TTS_GENERATION_INSUFFICIENT_CREDITS",
"message": "Insufficient credits for this generation."
}
{
"error": "WORKSPACE_FORBIDDEN",
"code": "WORKSPACE_FORBIDDEN",
"message": "You do not have access to this workspace."
}
{
"error": "TEMPLATE_NOT_FOUND",
"code": "TEMPLATE_NOT_FOUND",
"message": "Template not found."
}
{
"error": "TTS_GENERATION_CONTENT_REJECTED",
"code": "TTS_GENERATION_CONTENT_REJECTED",
"message": "Request content was rejected by the moderation policy."
}
High-quality text-to-speech with multilingual voices and controllable voice/audio settings.
Authorizations
Authorization
string
header
required
API Key for API endpoints
Body
application/jsonmultipart/form-data
prompt
string
required
Text to convert to speech. Use <#x#> for pauses (x = 0.01-99.99 seconds). Supports interjection tags: (laughs), (sighs), (coughs), (clears throat), (gasps), (sniffs), (groans), (yawns).
Required string length: 1 - 10000
Example:
"Hello world! Welcome to MiniMax's new text to speech model <#0.1#> Speech 2.8 HD (laughs) now available on Fal!"
voice_id
enum<string>
default:Wise_Woman
Predefined voice ID or preset name.
Available options:
Wise_Woman,
Friendly_Person,
Inspirational_girl,
Deep_Voice_Man,
Calm_Woman,
Casual_Guy,
Lively_Girl,
Patient_Man,
Young_Knight,
Determined_Man,
Lovely_Girl,
Decent_Boy,
Imposing_Manner,
Elegant_Man,
Abbess,
Sweet_Girl_2,
Exuberant_Girl
Examples:
"Wise_Woman"
"Friendly_Person"
"Calm_Woman"
speed
number
default:1
Speech speed (0.5 - 2.0).
Required range: 0.5 <= x <= 2
vol
number
default:1
Volume (0.01 - 10).
Required range: 0.01 <= x <= 10
pitch
integer
default:0
Voice pitch (-12 to 12).
Required range: -12 <= x <= 12
emotion
enum<string>
Emotion style of generated speech.
Available options:
happy,
sad,
angry,
fearful,
disgusted,
surprised,
neutral
english_normalization
boolean
default:false
Enables English text normalization to improve number reading performance, with a slight increase in latency.
language_boost
enum<string>
default:auto
Enhance recognition of specified languages and dialects.
Bitrate · numberBitrate · numberBitrate · numberBitrate · number
default:128000
Bitrate of generated audio.
audio_format
enum<string>
default:mp3
Audio format.
Available options:
mp3,
pcm,
flac
audio_channel
Channels · numberChannels · number
default:1
Number of audio channels (1=mono, 2=stereo).
normalization_enabled
boolean
default:true
Enable loudness normalization for the audio.
target_loudness
number
default:-18
Target loudness in LUFS (default -18.0).
Required range: -70 <= x <= -10
target_range
number
default:8
Target loudness range in LU (default 8.0).
Required range: 0 <= x <= 20
target_peak
number
default:-0.5
Target peak level in dBTP (default -0.5).
Required range: -3 <= x <= 0
voice_modify_pitch
integer
default:0
Pitch adjustment in semitones. Range: -100 to 100. Positive values raise pitch, negative values lower it.
Required range: -100 <= x <= 100
voice_modify_intensity
integer
default:0
Intensity or energy of the voice. Range: -100 to 100. Higher values create more energetic speech.
Required range: -100 <= x <= 100
voice_modify_timbre
integer
default:0
Timbre adjustment. Range: -100 to 100. Affects the tonal quality of the voice.
Required range: -100 <= x <= 100
Response
Generation submission accepted
id
string
required
Generation id.
status
enum<string>
required
Queue status
Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
MiniMax Speech 2.8 HD Input · object
required
Normalized input payload for the generation task.
Show child attributes
usage
object
required
Credit usage breakdown for the request
Show child attributes
code
string
Machine-readable generation error code. Present when status is FAILED.
message
string
Sanitized human-readable failure message. Present when status is FAILED.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"skills.video","colors":{"primary":"#8b3dff","light":"#8b3dff","dark":"#8b3dff"},"logo":{"light":"https://mintcdn.com/blendduck-2834aad9/vArVwxW9REHjPdvP/logo/light.svg?fit=max\u0026auto=format\u0026n=vArVwxW9REHjPdvP\u0026q=85\u0026s=24380b4ad31057a17f3c8031790dacf2","dark":"https://mintcdn.com/blendduck-2834aad9/vArVwxW9REHjPdvP/logo/dark.svg?fit=max\u0026auto=format\u0026n=vArVwxW9REHjPdvP\u0026q=85\u0026s=9bd65adc092e3499a558afb50d93bf9a","href":"https://skills.video"},"favicon":"https://mintcdn.com/blendduck-2834aad9/LgZy_saWNEGlESk1/favicon.svg?fit=max\u0026auto=format\u0026n=LgZy_saWNEGlESk1\u0026q=85\u0026s=658e6d4b7c693d576883a35bb8552706","api":{"playground":{"display":"interactive"},"examples":{"defaults":"required","languages":["curl","python","javascript","php","go","java","ruby","swift"],"prefill":true}},"navbar":{"primary":{"type":"button","label":"Dashboard","href":"https://skills.video/dashboard"}},"footer":{"socials":{"discord":"https://discord.gg/z9e3ZXXKVf"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"blendduck-2834aad9","hasAudioNarration":false,"actualSubdomain":"blendduck-2834aad9","customDomains":["docs.skills.video"],"gitSource":{"type":"github","owner":"colorhook","repo":"mintlify-docs","deployBranch":"main","isPrivate":true,"contentDirectory":"","mountPath":"","label":""},"entitlements":{},"buildId":"6ae943c5b477dfa5519ff370:success","clientVersion":"0.0.4167","searchFilterCounts":[{"language":"default","tag":"Home","count":84},{"language":"default","tag":"APIs","count":76},{"language":"default","tag":"Videos","count":39},{"language":"default","tag":"Images","count":28},{"language":"default","tag":"Kling AI","count":8},{"language":"default","tag":"Bytedance","count":8},{"language":"default","tag":"Get started","count":6},{"language":"default","tag":"Google","count":6},{"language":"default","tag":"TTS","count":5},{"language":"default","tag":"OpenAI","count":5}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/minimax-speech-28-hd","slug":"/api-reference/minimax-speech-28-hd","pageMetadata":{"title":"MiniMax Speech 2.8 HD","description":null,"deprecated":null,"version":null,"openapi":"/openapi.json post /generation/fal-ai/minimax/speech-2.8-hd","href":"/api-reference/minimax-speech-28-hd","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={p:`p`,..._provideComponents(),...props.components};return _jsx(_components.p,{children:`High-quality text-to-speech with multilingual voices and controllable voice/audio settings.`})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"MiniMax Speech 2.8 HD","description":null,"deprecated":null,"version":null,"openapi":"/openapi.json post /generation/fal-ai/minimax/speech-2.8-hd","href":"/api-reference/minimax-speech-28-hd","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"MiniMax Speech 2.8 HD","x-mint":{"title":"MiniMax Speech 2.8 HD","content":"High-quality text-to-speech with multilingual voices and controllable voice/audio settings."},"security":["c3ed366e-0dd6-4351-86d9-5e3a945a7b30"],"requestBody":"bd3e92c4-4aae-4d41-8f64-332394caf740","responses":{"200":"693d6f7c-7a40-468a-837a-3cbbb89b889d","400":"a96f9ea4-13c4-4859-8cfe-36fcaa7ed861","401":"0be1f12b-6569-4487-b631-fac98f225562","402":"1c0d3c26-ccdc-45a1-9c4f-4fdb80503124","403":"c02a533c-a6ec-4daf-a58c-bc1b54155310","404":"c358de70-e65f-4ee6-99f4-60ba84d64138","422":"99f06435-4821-4b91-a98f-4a519b362388","429":"2649bc2d-9f8c-4293-bdff-777be36d24f2","500":"5f2390c8-12e5-4d00-99a1-52ebf556fd5c","502":"48e7f97d-0602-4eb9-9155-1a1bf48d3627","503":"521b662d-0816-48e0-a8a6-de4c15a85fe4","504":"1fc4012d-8311-4744-85a1-54a50e17f801"},"method":"post","type":"path","servers":["eb5a38af-83b8-4095-a17d-d71dd29e0397"],"path":"/generation/fal-ai/minimax/speech-2.8-hd","baseUrlOptions":["https://open.skills.video/api/v1"],"title":"MiniMax Speech 2.8 HD","description":"","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","php","go","java","ruby","swift"],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.prompt":"Hello world! Welcome to MiniMax's new text to speech model \u003c#0.1#> Speech 2.8 HD (laughs) now available on Fal!","body.voice_id":"Wise_Woman","body.speed":1,"body.vol":1,"body.pitch":0,"body.english_normalization":false,"body.language_boost":"auto","body.audio_sample_rate.oneOf.0":32000,"body.audio_bitrate.oneOf.0":128000,"body.audio_format":"mp3","body.audio_channel.oneOf.0":1,"body.normalization_enabled":true,"body.target_loudness":-18,"body.target_range":8,"body.target_peak":-0.5,"body.voice_modify_pitch":0,"body.voice_modify_intensity":0,"body.voice_modify_timbre":0}]},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"title":"MiniMax Speech 2.8 HD Input","type":"object","properties":{"prompt":{"description":"Text to convert to speech. Use \u003c#x#> for pauses (x = 0.01-99.99 seconds). Supports interjection tags: (laughs), (sighs), (coughs), (clears throat), (gasps), (sniffs), (groans), (yawns).","title":"Text","examples":["Hello world! Welcome to MiniMax's new text to speech model \u003c#0.1#> Speech 2.8 HD (laughs) now available on Fal!"],"order":1,"xPlaceholder":"Enter text to convert to speech...","xRows":4,"xUiKind":"textarea","xTemplateRequired":true,"type":"string","minLength":1,"maxLength":10000,"isRequired":true,"uniqueKey":"prompt","typeLabel":"string"},"voice_id":{"description":"Predefined voice ID or preset name.","title":"Voice","examples":["Wise_Woman","Friendly_Person","Calm_Woman"],"order":2,"xMeta":{"voiceProfiles":[{"id":"Wise_Woman","language":"English","languageCode":"en","gender":"female","styleTags":["news","middle aged","confident"],"previewUrl":"https://s.skills.video/6/b_B2v5hn_Y_Lkrt_Ad_Ko_A_Hu_B_speech_a03f5144ec_83c8e8c581.mp3"},{"id":"Friendly_Person","language":"English","languageCode":"en","gender":"neutral","styleTags":["conversational","warm","natural"],"previewUrl":"https://s.skills.video/6/Dl_Z1bg_Mt_Xgv678_Tc_MY_9_RS_speech_9b5b26e35d_6e8a01ede0.mp3"},{"id":"Inspirational_girl","language":"English","languageCode":"en","gender":"female","styleTags":["uplifting","young","bright"],"previewUrl":"https://s.skills.video/6/83h_C_67_V_Fhw_Jw03_Xj2_XDQ_speech_a068374483_029dc0486a.mp3"},{"id":"Deep_Voice_Man","language":"English","languageCode":"en","gender":"male","styleTags":["deep","authoritative","narration"],"previewUrl":"https://s.skills.video/6/wi_Sl_Z_Ux_J_Pso_H_Oa_BW_Ld_B3o_speech_1492d21a66_67b1785e4a.mp3"},{"id":"Calm_Woman","language":"Chinese","languageCode":"zh","gender":"female","styleTags":["calm","soft","clear"],"previewUrl":"https://s.skills.video/6/83d_B_Gkc_Vb_HY_8_A0_W5_W_Fl_Y_speech_11193d78b8_8353b7d629.mp3"},{"id":"Casual_Guy","language":"English","languageCode":"en","gender":"male","styleTags":["casual","daily","friendly"],"previewUrl":"https://s.skills.video/6/Cp_EF_70_Vm_Jw_Pj_Zq_Oi_Ir_Eo6_speech_3250dd1169_a0e8430cfb.mp3"},{"id":"Lively_Girl","language":"English","languageCode":"en","gender":"female","styleTags":["lively","animated","expressive"],"previewUrl":"https://s.skills.video/6/G9m_L3_W7k_s_Lbtwi_Y_Ah_V_speech_81762ac67c_33499d50b3.mp3"},{"id":"Patient_Man","language":"English","languageCode":"en","gender":"male","styleTags":["patient","teaching","steady"],"previewUrl":"https://s.skills.video/6/r6_Ob_nx_VOHKDY_Czl_X_Onb_X_speech_3962493dab_2a933d0367.mp3"},{"id":"Young_Knight","language":"English","languageCode":"en","gender":"male","styleTags":["heroic","young","dramatic"],"previewUrl":"https://s.skills.video/6/bj_Uc_Cvh_Ydq1_Zi2c2q_Zc99_speech_3407c5f5d5_b7abd73d7d.mp3"},{"id":"Determined_Man","language":"English","languageCode":"en","gender":"male","styleTags":["determined","firm","energetic"],"previewUrl":"https://s.skills.video/6/6ivy_Yd_Ant4dxr_D0_H_Ykl_Wv_speech_99ab54967e_3d79473c8c.mp3"},{"id":"Lovely_Girl","language":"English","languageCode":"en","gender":"female","styleTags":["sweet","young","gentle"],"previewUrl":"https://s.skills.video/6/wct_SW_7_ij_Vsqg78_L_Tz_P_O_speech_9cbd3fc92f_e967007188.mp3"},{"id":"Decent_Boy","language":"English","languageCode":"en","gender":"male","styleTags":["clear","boyish","friendly"],"previewUrl":"https://s.skills.video/6/T8na_ICR_Ls_U_My_e_QM_Ekg8f_speech_8e9bb358ef_f28b8dded7.mp3"},{"id":"Imposing_Manner","language":"English","languageCode":"en","gender":"male","styleTags":["serious","formal","deep"],"previewUrl":"https://s.skills.video/6/OW_Mom_A_Gi2n_M6_U_Tb_OGET_1_speech_b76485c5c9_e68d4be6e1.mp3"},{"id":"Elegant_Man","language":"English","languageCode":"en","gender":"male","styleTags":["elegant","smooth","narrative"],"previewUrl":"https://s.skills.video/6/S30y_Tib_IPLAVG_8_Rbdr_C9_speech_af32479291_8f1547ba60.mp3"},{"id":"Abbess","language":"English","languageCode":"en","gender":"female","styleTags":["mature","calm","measured"],"previewUrl":"https://s.skills.video/6/9_C_As_Df_F_Jo_VH_6h_Jta498_SI_speech_608d843c3f_a197fd1234.mp3"},{"id":"Sweet_Girl_2","language":"English","languageCode":"en","gender":"female","styleTags":["sweet","soft","light"],"previewUrl":"https://s.skills.video/6/1_Y_Rd_Y_Z3k3o_Vs_Dry_P_Vt_C4_speech_ea3ee4d59b_505a7fed45.mp3"},{"id":"Exuberant_Girl","language":"English","languageCode":"en","gender":"female","styleTags":["exuberant","cheerful","fast"],"previewUrl":"https://s.skills.video/6/9ze_TT_J_G02_Pzqxf1k_Gc_speech_e80f5282e6_c580d1c868.mp3"}]},"xPlaceholder":"e.g. Wise_Woman, Calm_Woman","default":"Wise_Woman","type":"string","enum":["Wise_Woman","Friendly_Person","Inspirational_girl","Deep_Voice_Man","Calm_Woman","Casual_Guy","Lively_Girl","Patient_Man","Young_Knight","Determined_Man","Lovely_Girl","Decent_Boy","Imposing_Manner","Elegant_Man","Abbess","Sweet_Girl_2","Exuberant_Girl"],"uniqueKey":"voice_id","typeLabel":"enum\u003cstring>"},"speed":{"description":"Speech speed (0.5 - 2.0).","title":"Speed","order":3,"xStep":0.1,"default":1,"type":"number","minimum":0.5,"maximum":2,"uniqueKey":"speed","typeLabel":"number"},"vol":{"description":"Volume (0.01 - 10).","title":"Volume","order":4,"xStep":0.01,"default":1,"type":"number","minimum":0.01,"maximum":10,"uniqueKey":"vol","typeLabel":"number"},"pitch":{"description":"Voice pitch (-12 to 12).","title":"Pitch","order":5,"xStep":1,"default":0,"type":"integer","minimum":-12,"maximum":12,"uniqueKey":"pitch","typeLabel":"integer"},"emotion":{"description":"Emotion style of generated speech.","title":"Emotion","order":6,"type":"string","enum":["happy","sad","angry","fearful","disgusted","surprised","neutral"],"uniqueKey":"emotion","typeLabel":"enum\u003cstring>"},"english_normalization":{"description":"Enables English text normalization to improve number reading performance, with a slight increase in latency.","title":"English Normalization","order":7,"default":false,"type":"boolean","uniqueKey":"english_normalization","typeLabel":"boolean"},"language_boost":{"description":"Enhance recognition of specified languages and dialects.","title":"Language Boost","order":8,"default":"auto","type":"string","enum":["auto","Chinese","Chinese,Yue","English","Arabic","Russian","Spanish","French","Portuguese","German","Turkish","Dutch","Ukrainian","Vietnamese","Indonesian","Japanese","Italian","Korean","Thai","Polish","Romanian","Greek","Czech","Finnish","Hindi","Bulgarian","Danish","Hebrew","Malay","Slovak","Swedish","Croatian","Hungarian","Norwegian","Slovenian","Catalan","Nynorsk","Afrikaans"],"uniqueKey":"language_boost","typeLabel":"enum\u003cstring>"},"audio_sample_rate":{"oneOf":[{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":8000,"uniqueKey":"audio_sample_rate.oneOf.0","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":16000,"uniqueKey":"audio_sample_rate.oneOf.1","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":22050,"uniqueKey":"audio_sample_rate.oneOf.2","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":24000,"uniqueKey":"audio_sample_rate.oneOf.3","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":32000,"uniqueKey":"audio_sample_rate.oneOf.4","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":44100,"uniqueKey":"audio_sample_rate.oneOf.5","typeLabel":"number"}],"uniqueKey":"audio_sample_rate","typeLabel":"number"},"audio_bitrate":{"oneOf":[{"type":"number","title":"Bitrate","description":"Bitrate of generated audio.","default":128000,"const":32000,"uniqueKey":"audio_bitrate.oneOf.0","typeLabel":"number"},{"type":"number","title":"Bitrate","description":"Bitrate of generated audio.","default":128000,"const":64000,"uniqueKey":"audio_bitrate.oneOf.1","typeLabel":"number"},{"type":"number","title":"Bitrate","description":"Bitrate of generated audio.","default":128000,"const":128000,"uniqueKey":"audio_bitrate.oneOf.2","typeLabel":"number"},{"type":"number","title":"Bitrate","description":"Bitrate of generated audio.","default":128000,"const":256000,"uniqueKey":"audio_bitrate.oneOf.3","typeLabel":"number"}],"uniqueKey":"audio_bitrate","typeLabel":"number"},"audio_format":{"description":"Audio format.","title":"Audio Format","order":11,"default":"mp3","type":"string","enum":["mp3","pcm","flac"],"uniqueKey":"audio_format","typeLabel":"enum\u003cstring>"},"audio_channel":{"oneOf":[{"type":"number","title":"Channels","description":"Number of audio channels (1=mono, 2=stereo).","default":1,"const":1,"uniqueKey":"audio_channel.oneOf.0","typeLabel":"number"},{"type":"number","title":"Channels","description":"Number of audio channels (1=mono, 2=stereo).","default":1,"const":2,"uniqueKey":"audio_channel.oneOf.1","typeLabel":"number"}],"uniqueKey":"audio_channel","typeLabel":"number"},"normalization_enabled":{"description":"Enable loudness normalization for the audio.","title":"Normalization","order":13,"default":true,"type":"boolean","uniqueKey":"normalization_enabled","typeLabel":"boolean"},"target_loudness":{"description":"Target loudness in LUFS (default -18.0).","title":"Target Loudness","order":14,"xStep":0.1,"default":-18,"type":"number","minimum":-70,"maximum":-10,"uniqueKey":"target_loudness","typeLabel":"number"},"target_range":{"description":"Target loudness range in LU (default 8.0).","title":"Target Range","order":15,"xStep":0.1,"default":8,"type":"number","minimum":0,"maximum":20,"uniqueKey":"target_range","typeLabel":"number"},"target_peak":{"description":"Target peak level in dBTP (default -0.5).","title":"Target Peak","order":16,"xStep":0.1,"default":-0.5,"type":"number","minimum":-3,"maximum":0,"uniqueKey":"target_peak","typeLabel":"number"},"voice_modify_pitch":{"description":"Pitch adjustment in semitones. Range: -100 to 100. Positive values raise pitch, negative values lower it.","title":"Voice Modify Pitch","order":17,"xStep":1,"default":0,"type":"integer","minimum":-100,"maximum":100,"uniqueKey":"voice_modify_pitch","typeLabel":"integer"},"voice_modify_intensity":{"description":"Intensity or energy of the voice. Range: -100 to 100. Higher values create more energetic speech.","title":"Voice Modify Intensity","order":18,"xStep":1,"default":0,"type":"integer","minimum":-100,"maximum":100,"uniqueKey":"voice_modify_intensity","typeLabel":"integer"},"voice_modify_timbre":{"description":"Timbre adjustment. Range: -100 to 100. Affects the tonal quality of the voice.","title":"Voice Modify Timbre","order":19,"xStep":1,"default":0,"type":"integer","minimum":-100,"maximum":100,"uniqueKey":"voice_modify_timbre","typeLabel":"integer"}},"required":["prompt"],"additionalProperties":false,"uniqueKey":"","typeLabel":"MiniMax Speech 2.8 HD Input · object"},"examples":{"Example":{"title":"Example","value":{"prompt":"Hello world! Welcome to MiniMax's new text to speech model \u003c#0.1#> Speech 2.8 HD (laughs) now available on Fal!","voice_id":"Wise_Woman","speed":1,"vol":1,"pitch":0,"english_normalization":false,"language_boost":"auto","audio_sample_rate":32000,"audio_bitrate":128000,"audio_format":"mp3","audio_channel":1,"normalization_enabled":true,"target_loudness":-18,"target_range":8,"target_peak":-0.5,"voice_modify_pitch":0,"voice_modify_intensity":0,"voice_modify_timbre":0}}},"exampleType":"generated"},"multipart/form-data":{"schema":{"title":"MiniMax Speech 2.8 HD Input","type":"object","properties":{"prompt":{"description":"Text to convert to speech. Use \u003c#x#> for pauses (x = 0.01-99.99 seconds). Supports interjection tags: (laughs), (sighs), (coughs), (clears throat), (gasps), (sniffs), (groans), (yawns).","title":"Text","examples":["Hello world! Welcome to MiniMax's new text to speech model \u003c#0.1#> Speech 2.8 HD (laughs) now available on Fal!"],"order":1,"xPlaceholder":"Enter text to convert to speech...","xRows":4,"xUiKind":"textarea","xTemplateRequired":true,"type":"string","minLength":1,"maxLength":10000,"isRequired":true,"uniqueKey":"prompt","typeLabel":"string"},"voice_id":{"description":"Predefined voice ID or preset name.","title":"Voice","examples":["Wise_Woman","Friendly_Person","Calm_Woman"],"order":2,"xMeta":{"voiceProfiles":[{"id":"Wise_Woman","language":"English","languageCode":"en","gender":"female","styleTags":["news","middle aged","confident"],"previewUrl":"https://s.skills.video/6/b_B2v5hn_Y_Lkrt_Ad_Ko_A_Hu_B_speech_a03f5144ec_83c8e8c581.mp3"},{"id":"Friendly_Person","language":"English","languageCode":"en","gender":"neutral","styleTags":["conversational","warm","natural"],"previewUrl":"https://s.skills.video/6/Dl_Z1bg_Mt_Xgv678_Tc_MY_9_RS_speech_9b5b26e35d_6e8a01ede0.mp3"},{"id":"Inspirational_girl","language":"English","languageCode":"en","gender":"female","styleTags":["uplifting","young","bright"],"previewUrl":"https://s.skills.video/6/83h_C_67_V_Fhw_Jw03_Xj2_XDQ_speech_a068374483_029dc0486a.mp3"},{"id":"Deep_Voice_Man","language":"English","languageCode":"en","gender":"male","styleTags":["deep","authoritative","narration"],"previewUrl":"https://s.skills.video/6/wi_Sl_Z_Ux_J_Pso_H_Oa_BW_Ld_B3o_speech_1492d21a66_67b1785e4a.mp3"},{"id":"Calm_Woman","language":"Chinese","languageCode":"zh","gender":"female","styleTags":["calm","soft","clear"],"previewUrl":"https://s.skills.video/6/83d_B_Gkc_Vb_HY_8_A0_W5_W_Fl_Y_speech_11193d78b8_8353b7d629.mp3"},{"id":"Casual_Guy","language":"English","languageCode":"en","gender":"male","styleTags":["casual","daily","friendly"],"previewUrl":"https://s.skills.video/6/Cp_EF_70_Vm_Jw_Pj_Zq_Oi_Ir_Eo6_speech_3250dd1169_a0e8430cfb.mp3"},{"id":"Lively_Girl","language":"English","languageCode":"en","gender":"female","styleTags":["lively","animated","expressive"],"previewUrl":"https://s.skills.video/6/G9m_L3_W7k_s_Lbtwi_Y_Ah_V_speech_81762ac67c_33499d50b3.mp3"},{"id":"Patient_Man","language":"English","languageCode":"en","gender":"male","styleTags":["patient","teaching","steady"],"previewUrl":"https://s.skills.video/6/r6_Ob_nx_VOHKDY_Czl_X_Onb_X_speech_3962493dab_2a933d0367.mp3"},{"id":"Young_Knight","language":"English","languageCode":"en","gender":"male","styleTags":["heroic","young","dramatic"],"previewUrl":"https://s.skills.video/6/bj_Uc_Cvh_Ydq1_Zi2c2q_Zc99_speech_3407c5f5d5_b7abd73d7d.mp3"},{"id":"Determined_Man","language":"English","languageCode":"en","gender":"male","styleTags":["determined","firm","energetic"],"previewUrl":"https://s.skills.video/6/6ivy_Yd_Ant4dxr_D0_H_Ykl_Wv_speech_99ab54967e_3d79473c8c.mp3"},{"id":"Lovely_Girl","language":"English","languageCode":"en","gender":"female","styleTags":["sweet","young","gentle"],"previewUrl":"https://s.skills.video/6/wct_SW_7_ij_Vsqg78_L_Tz_P_O_speech_9cbd3fc92f_e967007188.mp3"},{"id":"Decent_Boy","language":"English","languageCode":"en","gender":"male","styleTags":["clear","boyish","friendly"],"previewUrl":"https://s.skills.video/6/T8na_ICR_Ls_U_My_e_QM_Ekg8f_speech_8e9bb358ef_f28b8dded7.mp3"},{"id":"Imposing_Manner","language":"English","languageCode":"en","gender":"male","styleTags":["serious","formal","deep"],"previewUrl":"https://s.skills.video/6/OW_Mom_A_Gi2n_M6_U_Tb_OGET_1_speech_b76485c5c9_e68d4be6e1.mp3"},{"id":"Elegant_Man","language":"English","languageCode":"en","gender":"male","styleTags":["elegant","smooth","narrative"],"previewUrl":"https://s.skills.video/6/S30y_Tib_IPLAVG_8_Rbdr_C9_speech_af32479291_8f1547ba60.mp3"},{"id":"Abbess","language":"English","languageCode":"en","gender":"female","styleTags":["mature","calm","measured"],"previewUrl":"https://s.skills.video/6/9_C_As_Df_F_Jo_VH_6h_Jta498_SI_speech_608d843c3f_a197fd1234.mp3"},{"id":"Sweet_Girl_2","language":"English","languageCode":"en","gender":"female","styleTags":["sweet","soft","light"],"previewUrl":"https://s.skills.video/6/1_Y_Rd_Y_Z3k3o_Vs_Dry_P_Vt_C4_speech_ea3ee4d59b_505a7fed45.mp3"},{"id":"Exuberant_Girl","language":"English","languageCode":"en","gender":"female","styleTags":["exuberant","cheerful","fast"],"previewUrl":"https://s.skills.video/6/9ze_TT_J_G02_Pzqxf1k_Gc_speech_e80f5282e6_c580d1c868.mp3"}]},"xPlaceholder":"e.g. Wise_Woman, Calm_Woman","default":"Wise_Woman","type":"string","enum":["Wise_Woman","Friendly_Person","Inspirational_girl","Deep_Voice_Man","Calm_Woman","Casual_Guy","Lively_Girl","Patient_Man","Young_Knight","Determined_Man","Lovely_Girl","Decent_Boy","Imposing_Manner","Elegant_Man","Abbess","Sweet_Girl_2","Exuberant_Girl"],"uniqueKey":"voice_id","typeLabel":"enum\u003cstring>"},"speed":{"description":"Speech speed (0.5 - 2.0).","title":"Speed","order":3,"xStep":0.1,"default":1,"type":"number","minimum":0.5,"maximum":2,"uniqueKey":"speed","typeLabel":"number"},"vol":{"description":"Volume (0.01 - 10).","title":"Volume","order":4,"xStep":0.01,"default":1,"type":"number","minimum":0.01,"maximum":10,"uniqueKey":"vol","typeLabel":"number"},"pitch":{"description":"Voice pitch (-12 to 12).","title":"Pitch","order":5,"xStep":1,"default":0,"type":"integer","minimum":-12,"maximum":12,"uniqueKey":"pitch","typeLabel":"integer"},"emotion":{"description":"Emotion style of generated speech.","title":"Emotion","order":6,"type":"string","enum":["happy","sad","angry","fearful","disgusted","surprised","neutral"],"uniqueKey":"emotion","typeLabel":"enum\u003cstring>"},"english_normalization":{"description":"Enables English text normalization to improve number reading performance, with a slight increase in latency.","title":"English Normalization","order":7,"default":false,"type":"boolean","uniqueKey":"english_normalization","typeLabel":"boolean"},"language_boost":{"description":"Enhance recognition of specified languages and dialects.","title":"Language Boost","order":8,"default":"auto","type":"string","enum":["auto","Chinese","Chinese,Yue","English","Arabic","Russian","Spanish","French","Portuguese","German","Turkish","Dutch","Ukrainian","Vietnamese","Indonesian","Japanese","Italian","Korean","Thai","Polish","Romanian","Greek","Czech","Finnish","Hindi","Bulgarian","Danish","Hebrew","Malay","Slovak","Swedish","Croatian","Hungarian","Norwegian","Slovenian","Catalan","Nynorsk","Afrikaans"],"uniqueKey":"language_boost","typeLabel":"enum\u003cstring>"},"audio_sample_rate":{"oneOf":[{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":8000,"uniqueKey":"audio_sample_rate.oneOf.0","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":16000,"uniqueKey":"audio_sample_rate.oneOf.1","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":22050,"uniqueKey":"audio_sample_rate.oneOf.2","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":24000,"uniqueKey":"audio_sample_rate.oneOf.3","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":32000,"uniqueKey":"audio_sample_rate.oneOf.4","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":44100,"uniqueKey":"audio_sample_rate.oneOf.5","typeLabel":"number"}],"uniqueKey":"audio_sample_rate","typeLabel":"number"},"audio_bitrate":{"oneOf":[{"type":"number","title":"Bitrate","description":"Bitrate of generated audio.","default":128000,"const":32000,"uniqueKey":"audio_bitrate.oneOf.0","typeLabel":"number"},{"type":"number","title":"Bitrate","description":"Bitrate of generated audio.","default":128000,"const":64000,"uniqueKey":"audio_bitrate.oneOf.1","typeLabel":"number"},{"type":"number","title":"Bitrate","description":"Bitrate of generated audio.","default":128000,"const":128000,"uniqueKey":"audio_bitrate.oneOf.2","typeLabel":"number"},{"type":"number","title":"Bitrate","description":"Bitrate of generated audio.","default":128000,"const":256000,"uniqueKey":"audio_bitrate.oneOf.3","typeLabel":"number"}],"uniqueKey":"audio_bitrate","typeLabel":"number"},"audio_format":{"description":"Audio format.","title":"Audio Format","order":11,"default":"mp3","type":"string","enum":["mp3","pcm","flac"],"uniqueKey":"audio_format","typeLabel":"enum\u003cstring>"},"audio_channel":{"oneOf":[{"type":"number","title":"Channels","description":"Number of audio channels (1=mono, 2=stereo).","default":1,"const":1,"uniqueKey":"audio_channel.oneOf.0","typeLabel":"number"},{"type":"number","title":"Channels","description":"Number of audio channels (1=mono, 2=stereo).","default":1,"const":2,"uniqueKey":"audio_channel.oneOf.1","typeLabel":"number"}],"uniqueKey":"audio_channel","typeLabel":"number"},"normalization_enabled":{"description":"Enable loudness normalization for the audio.","title":"Normalization","order":13,"default":true,"type":"boolean","uniqueKey":"normalization_enabled","typeLabel":"boolean"},"target_loudness":{"description":"Target loudness in LUFS (default -18.0).","title":"Target Loudness","order":14,"xStep":0.1,"default":-18,"type":"number","minimum":-70,"maximum":-10,"uniqueKey":"target_loudness","typeLabel":"number"},"target_range":{"description":"Target loudness range in LU (default 8.0).","title":"Target Range","order":15,"xStep":0.1,"default":8,"type":"number","minimum":0,"maximum":20,"uniqueKey":"target_range","typeLabel":"number"},"target_peak":{"description":"Target peak level in dBTP (default -0.5).","title":"Target Peak","order":16,"xStep":0.1,"default":-0.5,"type":"number","minimum":-3,"maximum":0,"uniqueKey":"target_peak","typeLabel":"number"},"voice_modify_pitch":{"description":"Pitch adjustment in semitones. Range: -100 to 100. Positive values raise pitch, negative values lower it.","title":"Voice Modify Pitch","order":17,"xStep":1,"default":0,"type":"integer","minimum":-100,"maximum":100,"uniqueKey":"voice_modify_pitch","typeLabel":"integer"},"voice_modify_intensity":{"description":"Intensity or energy of the voice. Range: -100 to 100. Higher values create more energetic speech.","title":"Voice Modify Intensity","order":18,"xStep":1,"default":0,"type":"integer","minimum":-100,"maximum":100,"uniqueKey":"voice_modify_intensity","typeLabel":"integer"},"voice_modify_timbre":{"description":"Timbre adjustment. Range: -100 to 100. Affects the tonal quality of the voice.","title":"Voice Modify Timbre","order":19,"xStep":1,"default":0,"type":"integer","minimum":-100,"maximum":100,"uniqueKey":"voice_modify_timbre","typeLabel":"integer"}},"required":["prompt"],"additionalProperties":false,"uniqueKey":"","typeLabel":"MiniMax Speech 2.8 HD Input · object"},"examples":{"Example":{"title":"Example","value":{"prompt":"Hello world! Welcome to MiniMax's new text to speech model \u003c#0.1#> Speech 2.8 HD (laughs) now available on Fal!","voice_id":"Wise_Woman","speed":1,"vol":1,"pitch":0,"english_normalization":false,"language_boost":"auto","audio_sample_rate":32000,"audio_bitrate":128000,"audio_format":"mp3","audio_channel":1,"normalization_enabled":true,"target_loudness":-18,"target_range":8,"target_peak":-0.5,"voice_modify_pitch":0,"voice_modify_intensity":0,"voice_modify_timbre":0}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"693d6f7c-7a40-468a-837a-3cbbb89b889d":{"description":"Generation submission accepted","content":{"application/json":{"example":{"id":"gen_123","status":"IN_QUEUE","input":{"prompt":"lofi piano with soft rain ambience","duration":15},"usage":{"total":20,"subscription":20,"permanent":0}},"schema":{"type":"object","properties":{"id":{"description":"Generation id.","type":"string","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"status":{"description":"Queue status","type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED","FAILED","CANCELED"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"input":{"title":"MiniMax Speech 2.8 HD Input","type":"object","properties":{"prompt":{"description":"Text to convert to speech. Use \u003c#x#> for pauses (x = 0.01-99.99 seconds). Supports interjection tags: (laughs), (sighs), (coughs), (clears throat), (gasps), (sniffs), (groans), (yawns).","title":"Text","examples":["Hello world! Welcome to MiniMax's new text to speech model \u003c#0.1#> Speech 2.8 HD (laughs) now available on Fal!"],"order":1,"xPlaceholder":"Enter text to convert to speech...","xRows":4,"xUiKind":"textarea","xTemplateRequired":true,"type":"string","minLength":1,"maxLength":10000,"isRequired":true,"uniqueKey":"input.prompt","typeLabel":"string"},"voice_id":{"description":"Predefined voice ID or preset name.","title":"Voice","examples":["Wise_Woman","Friendly_Person","Calm_Woman"],"order":2,"xMeta":{"voiceProfiles":[{"id":"Wise_Woman","language":"English","languageCode":"en","gender":"female","styleTags":["news","middle aged","confident"],"previewUrl":"https://s.skills.video/6/b_B2v5hn_Y_Lkrt_Ad_Ko_A_Hu_B_speech_a03f5144ec_83c8e8c581.mp3"},{"id":"Friendly_Person","language":"English","languageCode":"en","gender":"neutral","styleTags":["conversational","warm","natural"],"previewUrl":"https://s.skills.video/6/Dl_Z1bg_Mt_Xgv678_Tc_MY_9_RS_speech_9b5b26e35d_6e8a01ede0.mp3"},{"id":"Inspirational_girl","language":"English","languageCode":"en","gender":"female","styleTags":["uplifting","young","bright"],"previewUrl":"https://s.skills.video/6/83h_C_67_V_Fhw_Jw03_Xj2_XDQ_speech_a068374483_029dc0486a.mp3"},{"id":"Deep_Voice_Man","language":"English","languageCode":"en","gender":"male","styleTags":["deep","authoritative","narration"],"previewUrl":"https://s.skills.video/6/wi_Sl_Z_Ux_J_Pso_H_Oa_BW_Ld_B3o_speech_1492d21a66_67b1785e4a.mp3"},{"id":"Calm_Woman","language":"Chinese","languageCode":"zh","gender":"female","styleTags":["calm","soft","clear"],"previewUrl":"https://s.skills.video/6/83d_B_Gkc_Vb_HY_8_A0_W5_W_Fl_Y_speech_11193d78b8_8353b7d629.mp3"},{"id":"Casual_Guy","language":"English","languageCode":"en","gender":"male","styleTags":["casual","daily","friendly"],"previewUrl":"https://s.skills.video/6/Cp_EF_70_Vm_Jw_Pj_Zq_Oi_Ir_Eo6_speech_3250dd1169_a0e8430cfb.mp3"},{"id":"Lively_Girl","language":"English","languageCode":"en","gender":"female","styleTags":["lively","animated","expressive"],"previewUrl":"https://s.skills.video/6/G9m_L3_W7k_s_Lbtwi_Y_Ah_V_speech_81762ac67c_33499d50b3.mp3"},{"id":"Patient_Man","language":"English","languageCode":"en","gender":"male","styleTags":["patient","teaching","steady"],"previewUrl":"https://s.skills.video/6/r6_Ob_nx_VOHKDY_Czl_X_Onb_X_speech_3962493dab_2a933d0367.mp3"},{"id":"Young_Knight","language":"English","languageCode":"en","gender":"male","styleTags":["heroic","young","dramatic"],"previewUrl":"https://s.skills.video/6/bj_Uc_Cvh_Ydq1_Zi2c2q_Zc99_speech_3407c5f5d5_b7abd73d7d.mp3"},{"id":"Determined_Man","language":"English","languageCode":"en","gender":"male","styleTags":["determined","firm","energetic"],"previewUrl":"https://s.skills.video/6/6ivy_Yd_Ant4dxr_D0_H_Ykl_Wv_speech_99ab54967e_3d79473c8c.mp3"},{"id":"Lovely_Girl","language":"English","languageCode":"en","gender":"female","styleTags":["sweet","young","gentle"],"previewUrl":"https://s.skills.video/6/wct_SW_7_ij_Vsqg78_L_Tz_P_O_speech_9cbd3fc92f_e967007188.mp3"},{"id":"Decent_Boy","language":"English","languageCode":"en","gender":"male","styleTags":["clear","boyish","friendly"],"previewUrl":"https://s.skills.video/6/T8na_ICR_Ls_U_My_e_QM_Ekg8f_speech_8e9bb358ef_f28b8dded7.mp3"},{"id":"Imposing_Manner","language":"English","languageCode":"en","gender":"male","styleTags":["serious","formal","deep"],"previewUrl":"https://s.skills.video/6/OW_Mom_A_Gi2n_M6_U_Tb_OGET_1_speech_b76485c5c9_e68d4be6e1.mp3"},{"id":"Elegant_Man","language":"English","languageCode":"en","gender":"male","styleTags":["elegant","smooth","narrative"],"previewUrl":"https://s.skills.video/6/S30y_Tib_IPLAVG_8_Rbdr_C9_speech_af32479291_8f1547ba60.mp3"},{"id":"Abbess","language":"English","languageCode":"en","gender":"female","styleTags":["mature","calm","measured"],"previewUrl":"https://s.skills.video/6/9_C_As_Df_F_Jo_VH_6h_Jta498_SI_speech_608d843c3f_a197fd1234.mp3"},{"id":"Sweet_Girl_2","language":"English","languageCode":"en","gender":"female","styleTags":["sweet","soft","light"],"previewUrl":"https://s.skills.video/6/1_Y_Rd_Y_Z3k3o_Vs_Dry_P_Vt_C4_speech_ea3ee4d59b_505a7fed45.mp3"},{"id":"Exuberant_Girl","language":"English","languageCode":"en","gender":"female","styleTags":["exuberant","cheerful","fast"],"previewUrl":"https://s.skills.video/6/9ze_TT_J_G02_Pzqxf1k_Gc_speech_e80f5282e6_c580d1c868.mp3"}]},"xPlaceholder":"e.g. Wise_Woman, Calm_Woman","default":"Wise_Woman","type":"string","enum":["Wise_Woman","Friendly_Person","Inspirational_girl","Deep_Voice_Man","Calm_Woman","Casual_Guy","Lively_Girl","Patient_Man","Young_Knight","Determined_Man","Lovely_Girl","Decent_Boy","Imposing_Manner","Elegant_Man","Abbess","Sweet_Girl_2","Exuberant_Girl"],"uniqueKey":"input.voice_id","typeLabel":"enum\u003cstring>"},"speed":{"description":"Speech speed (0.5 - 2.0).","title":"Speed","order":3,"xStep":0.1,"default":1,"type":"number","minimum":0.5,"maximum":2,"uniqueKey":"input.speed","typeLabel":"number"},"vol":{"description":"Volume (0.01 - 10).","title":"Volume","order":4,"xStep":0.01,"default":1,"type":"number","minimum":0.01,"maximum":10,"uniqueKey":"input.vol","typeLabel":"number"},"pitch":{"description":"Voice pitch (-12 to 12).","title":"Pitch","order":5,"xStep":1,"default":0,"type":"integer","minimum":-12,"maximum":12,"uniqueKey":"input.pitch","typeLabel":"integer"},"emotion":{"description":"Emotion style of generated speech.","title":"Emotion","order":6,"type":"string","enum":["happy","sad","angry","fearful","disgusted","surprised","neutral"],"uniqueKey":"input.emotion","typeLabel":"enum\u003cstring>"},"english_normalization":{"description":"Enables English text normalization to improve number reading performance, with a slight increase in latency.","title":"English Normalization","order":7,"default":false,"type":"boolean","uniqueKey":"input.english_normalization","typeLabel":"boolean"},"language_boost":{"description":"Enhance recognition of specified languages and dialects.","title":"Language Boost","order":8,"default":"auto","type":"string","enum":["auto","Chinese","Chinese,Yue","English","Arabic","Russian","Spanish","French","Portuguese","German","Turkish","Dutch","Ukrainian","Vietnamese","Indonesian","Japanese","Italian","Korean","Thai","Polish","Romanian","Greek","Czech","Finnish","Hindi","Bulgarian","Danish","Hebrew","Malay","Slovak","Swedish","Croatian","Hungarian","Norwegian","Slovenian","Catalan","Nynorsk","Afrikaans"],"uniqueKey":"input.language_boost","typeLabel":"enum\u003cstring>"},"audio_sample_rate":{"oneOf":[{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":8000,"uniqueKey":"input.audio_sample_rate.oneOf.0","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":16000,"uniqueKey":"input.audio_sample_rate.oneOf.1","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":22050,"uniqueKey":"input.audio_sample_rate.oneOf.2","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":24000,"uniqueKey":"input.audio_sample_rate.oneOf.3","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":32000,"uniqueKey":"input.audio_sample_rate.oneOf.4","typeLabel":"number"},{"type":"number","title":"Sample Rate","description":"Sample rate of generated audio.","default":32000,"const":44100,"uniqueKey":"input.audio_sample_rate.oneOf.5","typeLabel":"number"}],"uniqueKey":"input.audio_sample_rate","typeLabel":"number"},"audio_bitrate":{"oneOf":[{"type":"number","title":"Bitrate","description":"Bitrate of generated audio.","default":128000,"const":32000,"uniqueKey":"input.audio_bitrate.oneOf.0","typeLabel":"number"},{"type":"number","title":"Bitrate","description":"Bitrate of generated audio.","default":128000,"const":64000,"uniqueKey":"input.audio_bitrate.oneOf.1","typeLabel":"number"},{"type":"number","title":"Bitrate","description":"Bitrate of generated audio.","default":128000,"const":128000,"uniqueKey":"input.audio_bitrate.oneOf.2","typeLabel":"number"},{"type":"number","title":"Bitrate","description":"Bitrate of generated audio.","default":128000,"const":256000,"uniqueKey":"input.audio_bitrate.oneOf.3","typeLabel":"number"}],"uniqueKey":"input.audio_bitrate","typeLabel":"number"},"audio_format":{"description":"Audio format.","title":"Audio Format","order":11,"default":"mp3","type":"string","enum":["mp3","pcm","flac"],"uniqueKey":"input.audio_format","typeLabel":"enum\u003cstring>"},"audio_channel":{"oneOf":[{"type":"number","title":"Channels","description":"Number of audio channels (1=mono, 2=stereo).","default":1,"const":1,"uniqueKey":"input.audio_channel.oneOf.0","typeLabel":"number"},{"type":"number","title":"Channels","description":"Number of audio channels (1=mono, 2=stereo).","default":1,"const":2,"uniqueKey":"input.audio_channel.oneOf.1","typeLabel":"number"}],"uniqueKey":"input.audio_channel","typeLabel":"number"},"normalization_enabled":{"description":"Enable loudness normalization for the audio.","title":"Normalization","order":13,"default":true,"type":"boolean","uniqueKey":"input.normalization_enabled","typeLabel":"boolean"},"target_loudness":{"description":"Target loudness in LUFS (default -18.0).","title":"Target Loudness","order":14,"xStep":0.1,"default":-18,"type":"number","minimum":-70,"maximum":-10,"uniqueKey":"input.target_loudness","typeLabel":"number"},"target_range":{"description":"Target loudness range in LU (default 8.0).","title":"Target Range","order":15,"xStep":0.1,"default":8,"type":"number","minimum":0,"maximum":20,"uniqueKey":"input.target_range","typeLabel":"number"},"target_peak":{"description":"Target peak level in dBTP (default -0.5).","title":"Target Peak","order":16,"xStep":0.1,"default":-0.5,"type":"number","minimum":-3,"maximum":0,"uniqueKey":"input.target_peak","typeLabel":"number"},"voice_modify_pitch":{"description":"Pitch adjustment in semitones. Range: -100 to 100. Positive values raise pitch, negative values lower it.","title":"Voice Modify Pitch","order":17,"xStep":1,"default":0,"type":"integer","minimum":-100,"maximum":100,"uniqueKey":"input.voice_modify_pitch","typeLabel":"integer"},"voice_modify_intensity":{"description":"Intensity or energy of the voice. Range: -100 to 100. Higher values create more energetic speech.","title":"Voice Modify Intensity","order":18,"xStep":1,"default":0,"type":"integer","minimum":-100,"maximum":100,"uniqueKey":"input.voice_modify_intensity","typeLabel":"integer"},"voice_modify_timbre":{"description":"Timbre adjustment. Range: -100 to 100. Affects the tonal quality of the voice.","title":"Voice Modify Timbre","order":19,"xStep":1,"default":0,"type":"integer","minimum":-100,"maximum":100,"uniqueKey":"input.voice_modify_timbre","typeLabel":"integer"}},"required":["prompt"],"additionalProperties":false,"description":"Normalized input payload for the generation task.","isRequired":true,"uniqueKey":"input","typeLabel":"MiniMax Speech 2.8 HD Input · object"},"usage":{"description":"Credit usage breakdown for the request","type":"object","properties":{"total":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991,"isRequired":true,"uniqueKey":"usage.total","typeLabel":"integer"},"subscription":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991,"isRequired":true,"uniqueKey":"usage.subscription","typeLabel":"integer"},"permanent":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991,"isRequired":true,"uniqueKey":"usage.permanent","typeLabel":"integer"}},"required":["total","subscription","permanent"],"additionalProperties":false,"isRequired":true,"uniqueKey":"usage","typeLabel":"object"},"code":{"description":"Machine-readable generation error code. Present when `status` is `FAILED`.","type":"string","uniqueKey":"code","typeLabel":"string"},"message":{"description":"Sanitized human-readable failure message. Present when `status` is `FAILED`.","type":"string","uniqueKey":"message","typeLabel":"string"}},"required":["id","status","input","usage"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"gen_123","status":"IN_QUEUE","input":{"prompt":"lofi piano with soft rain ambience","duration":15},"usage":{"total":20,"subscription":20,"permanent":0}}}},"exampleType":"examples"}},"exampleType":"examples"},"a96f9ea4-13c4-4859-8cfe-36fcaa7ed861":{"description":"TTS generation request was rejected as invalid or model is not supported.","content":{"application/json":{"example":{"error":"TTS_GENERATION_INVALID_INPUT","code":"TTS_GENERATION_INVALID_INPUT","message":"'prompt' parameter is required"},"schema":{"oneOf":[{"type":"object","required":["code","message"],"properties":{"code":{"description":"TTS generation error code. `*_FAILED` is the generic fallback; more specific codes (`*_TIMEOUT`, `*_RATE_LIMITED`, `*_PROVIDER_UNAVAILABLE`, `*_UNSUPPORTED_MODEL`, `*_INVALID_INPUT`, `*_INSUFFICIENT_CREDITS`, `*_CONTENT_REJECTED`) are surfaced when applicable.","type":"string","enum":["TTS_GENERATION_FAILED","TTS_GENERATION_TIMEOUT","TTS_GENERATION_RATE_LIMITED","TTS_GENERATION_PROVIDER_UNAVAILABLE","TTS_GENERATION_UNSUPPORTED_MODEL","TTS_GENERATION_INVALID_INPUT","TTS_GENERATION_INSUFFICIENT_CREDITS","TTS_GENERATION_CONTENT_REJECTED"],"isRequired":true,"uniqueKey":"oneOf.0.code","typeLabel":"enum\u003cstring>"},"message":{"description":"Human readable error message. Upstream vendor names are redacted.","type":"string","isRequired":true,"uniqueKey":"oneOf.0.message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations.","type":"string","uniqueKey":"oneOf.0.error","typeLabel":"string"},"errors":{"description":"Field-level validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"oneOf.0.errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"oneOf.0.errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"oneOf.0.details","typeLabel":"any"},"requested":{"description":"Requested credits when the error is insufficient credits.","type":"number","uniqueKey":"oneOf.0.requested","typeLabel":"number"},"available":{"description":"Available credits when the error is insufficient credits.","type":"number","uniqueKey":"oneOf.0.available","typeLabel":"number"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","required":["code","message"],"properties":{"code":{"description":"Template error code.","type":"string","enum":["TEMPLATE_NOT_FOUND","TEMPLATE_MODEL_MISMATCH","TEMPLATE_INVALID_INPUT","TEMPLATE_TRANSFORM_FAILED"],"isRequired":true,"uniqueKey":"oneOf.1.code","typeLabel":"enum\u003cstring>"},"message":{"description":"Human readable template error message.","type":"string","isRequired":true,"uniqueKey":"oneOf.1.message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations.","type":"string","uniqueKey":"oneOf.1.error","typeLabel":"string"},"errors":{"description":"Field-level template validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"oneOf.1.errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"oneOf.1.errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"oneOf.1.details","typeLabel":"any"}},"additionalProperties":false,"uniqueKey":"oneOf.1","typeLabel":"object"},{"type":"object","required":["code","message"],"properties":{"code":{"description":"Machine-readable error code. Use this to branch in client code.","type":"string","isRequired":true,"uniqueKey":"oneOf.2.code","typeLabel":"string"},"message":{"description":"Human readable error message.","type":"string","isRequired":true,"uniqueKey":"oneOf.2.message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations. This may contain an unprefixed compatibility code for older clients.","type":"string","uniqueKey":"oneOf.2.error","typeLabel":"string"},"errors":{"description":"Field-level validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"oneOf.2.errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.2.errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"oneOf.2.errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"oneOf.2.errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"oneOf.2.errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"oneOf.2.details","typeLabel":"any"}},"additionalProperties":false,"uniqueKey":"oneOf.2","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"TTS_GENERATION_INVALID_INPUT","code":"TTS_GENERATION_INVALID_INPUT","message":"'prompt' parameter is required"}}},"exampleType":"examples"}},"exampleType":"examples"},"0be1f12b-6569-4487-b631-fac98f225562":{"description":"Authentication required or failed","content":{"application/json":{"example":{"error":"UNAUTHORIZED","code":"UNAUTHORIZED","message":"Unauthorized"},"schema":{"type":"object","properties":{"code":{"description":"Machine-readable error code. Use this to branch in client code.","type":"string","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"description":"Human readable error message.","type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations. This may contain an unprefixed compatibility code for older clients.","type":"string","uniqueKey":"error","typeLabel":"string"},"errors":{"description":"Field-level validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"details","typeLabel":"any"}},"required":["code","message"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"UNAUTHORIZED","code":"UNAUTHORIZED","message":"Unauthorized"}}},"exampleType":"examples"}},"exampleType":"examples"},"1c0d3c26-ccdc-45a1-9c4f-4fdb80503124":{"description":"Workspace does not have enough credits to run this generation.","content":{"application/json":{"example":{"error":"INSUFFICIENT_CREDITS","code":"TTS_GENERATION_INSUFFICIENT_CREDITS","message":"Insufficient credits for this generation."},"schema":{"type":"object","properties":{"code":{"description":"TTS generation error code. `*_FAILED` is the generic fallback; more specific codes (`*_TIMEOUT`, `*_RATE_LIMITED`, `*_PROVIDER_UNAVAILABLE`, `*_UNSUPPORTED_MODEL`, `*_INVALID_INPUT`, `*_INSUFFICIENT_CREDITS`, `*_CONTENT_REJECTED`) are surfaced when applicable.","type":"string","enum":["TTS_GENERATION_FAILED","TTS_GENERATION_TIMEOUT","TTS_GENERATION_RATE_LIMITED","TTS_GENERATION_PROVIDER_UNAVAILABLE","TTS_GENERATION_UNSUPPORTED_MODEL","TTS_GENERATION_INVALID_INPUT","TTS_GENERATION_INSUFFICIENT_CREDITS","TTS_GENERATION_CONTENT_REJECTED"],"isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"description":"Human readable error message. Upstream vendor names are redacted.","type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations.","type":"string","uniqueKey":"error","typeLabel":"string"},"errors":{"description":"Field-level validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"details","typeLabel":"any"},"requested":{"description":"Requested credits when the error is insufficient credits.","type":"number","uniqueKey":"requested","typeLabel":"number"},"available":{"description":"Available credits when the error is insufficient credits.","type":"number","uniqueKey":"available","typeLabel":"number"}},"required":["code","message"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"INSUFFICIENT_CREDITS","code":"TTS_GENERATION_INSUFFICIENT_CREDITS","message":"Insufficient credits for this generation."}}},"exampleType":"examples"}},"exampleType":"examples"},"c02a533c-a6ec-4daf-a58c-bc1b54155310":{"description":"Workspace access is forbidden or Seedance verification is required.","content":{"application/json":{"example":{"error":"WORKSPACE_FORBIDDEN","code":"WORKSPACE_FORBIDDEN","message":"You do not have access to this workspace."},"schema":{"oneOf":[{"type":"object","required":["code","message"],"properties":{"code":{"description":"Machine-readable error code. Use this to branch in client code.","type":"string","isRequired":true,"uniqueKey":"oneOf.0.code","typeLabel":"string"},"message":{"description":"Human readable error message.","type":"string","isRequired":true,"uniqueKey":"oneOf.0.message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations. This may contain an unprefixed compatibility code for older clients.","type":"string","uniqueKey":"oneOf.0.error","typeLabel":"string"},"errors":{"description":"Field-level validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"oneOf.0.errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"oneOf.0.errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"oneOf.0.details","typeLabel":"any"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","required":["code","message"],"properties":{"code":{"description":"Seedance verification error code.","type":"string","const":"SEEDANCE_VERIFICATION_REQUIRED","isRequired":true,"uniqueKey":"oneOf.1.code","typeLabel":"string"},"message":{"description":"Human readable verification error message.","type":"string","isRequired":true,"uniqueKey":"oneOf.1.message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations.","type":"string","uniqueKey":"oneOf.1.error","typeLabel":"string"},"verification":{"oneOf":[{"description":"Current Seedance verification state when available.","uniqueKey":"oneOf.1.verification.oneOf.0","typeLabel":"any"},{"type":"null","description":"Current Seedance verification state when available.","uniqueKey":"oneOf.1.verification.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.verification","typeLabel":"any | null"}},"additionalProperties":false,"uniqueKey":"oneOf.1","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"WORKSPACE_FORBIDDEN","code":"WORKSPACE_FORBIDDEN","message":"You do not have access to this workspace."}}},"exampleType":"examples"}},"exampleType":"examples"},"c358de70-e65f-4ee6-99f4-60ba84d64138":{"description":"Resource, model, or template not found.","content":{"application/json":{"example":{"error":"TEMPLATE_NOT_FOUND","code":"TEMPLATE_NOT_FOUND","message":"Template not found."},"schema":{"oneOf":[{"type":"object","required":["code","message"],"properties":{"code":{"description":"Machine-readable error code. Use this to branch in client code.","type":"string","isRequired":true,"uniqueKey":"oneOf.0.code","typeLabel":"string"},"message":{"description":"Human readable error message.","type":"string","isRequired":true,"uniqueKey":"oneOf.0.message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations. This may contain an unprefixed compatibility code for older clients.","type":"string","uniqueKey":"oneOf.0.error","typeLabel":"string"},"errors":{"description":"Field-level validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"oneOf.0.errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"oneOf.0.errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"oneOf.0.details","typeLabel":"any"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","required":["code","message"],"properties":{"code":{"description":"Template error code.","type":"string","enum":["TEMPLATE_NOT_FOUND","TEMPLATE_MODEL_MISMATCH","TEMPLATE_INVALID_INPUT","TEMPLATE_TRANSFORM_FAILED"],"isRequired":true,"uniqueKey":"oneOf.1.code","typeLabel":"enum\u003cstring>"},"message":{"description":"Human readable template error message.","type":"string","isRequired":true,"uniqueKey":"oneOf.1.message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations.","type":"string","uniqueKey":"oneOf.1.error","typeLabel":"string"},"errors":{"description":"Field-level template validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"oneOf.1.errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"oneOf.1.errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"oneOf.1.details","typeLabel":"any"}},"additionalProperties":false,"uniqueKey":"oneOf.1","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"TEMPLATE_NOT_FOUND","code":"TEMPLATE_NOT_FOUND","message":"Template not found."}}},"exampleType":"examples"}},"exampleType":"examples"},"99f06435-4821-4b91-a98f-4a519b362388":{"description":"Upstream moderation rejected the request content.","content":{"application/json":{"example":{"error":"TTS_GENERATION_CONTENT_REJECTED","code":"TTS_GENERATION_CONTENT_REJECTED","message":"Request content was rejected by the moderation policy."},"schema":{"type":"object","properties":{"code":{"description":"TTS generation error code. `*_FAILED` is the generic fallback; more specific codes (`*_TIMEOUT`, `*_RATE_LIMITED`, `*_PROVIDER_UNAVAILABLE`, `*_UNSUPPORTED_MODEL`, `*_INVALID_INPUT`, `*_INSUFFICIENT_CREDITS`, `*_CONTENT_REJECTED`) are surfaced when applicable.","type":"string","enum":["TTS_GENERATION_FAILED","TTS_GENERATION_TIMEOUT","TTS_GENERATION_RATE_LIMITED","TTS_GENERATION_PROVIDER_UNAVAILABLE","TTS_GENERATION_UNSUPPORTED_MODEL","TTS_GENERATION_INVALID_INPUT","TTS_GENERATION_INSUFFICIENT_CREDITS","TTS_GENERATION_CONTENT_REJECTED"],"isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"description":"Human readable error message. Upstream vendor names are redacted.","type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations.","type":"string","uniqueKey":"error","typeLabel":"string"},"errors":{"description":"Field-level validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"details","typeLabel":"any"},"requested":{"description":"Requested credits when the error is insufficient credits.","type":"number","uniqueKey":"requested","typeLabel":"number"},"available":{"description":"Available credits when the error is insufficient credits.","type":"number","uniqueKey":"available","typeLabel":"number"}},"required":["code","message"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"TTS_GENERATION_CONTENT_REJECTED","code":"TTS_GENERATION_CONTENT_REJECTED","message":"Request content was rejected by the moderation policy."}}},"exampleType":"examples"}},"exampleType":"examples"},"2649bc2d-9f8c-4293-bdff-777be36d24f2":{"description":"Generation rate limit exceeded upstream.","content":{"application/json":{"example":{"error":"TTS_GENERATION_RATE_LIMITED","code":"TTS_GENERATION_RATE_LIMITED","message":"Rate limit exceeded. Please retry later."},"schema":{"type":"object","properties":{"code":{"description":"TTS generation error code. `*_FAILED` is the generic fallback; more specific codes (`*_TIMEOUT`, `*_RATE_LIMITED`, `*_PROVIDER_UNAVAILABLE`, `*_UNSUPPORTED_MODEL`, `*_INVALID_INPUT`, `*_INSUFFICIENT_CREDITS`, `*_CONTENT_REJECTED`) are surfaced when applicable.","type":"string","enum":["TTS_GENERATION_FAILED","TTS_GENERATION_TIMEOUT","TTS_GENERATION_RATE_LIMITED","TTS_GENERATION_PROVIDER_UNAVAILABLE","TTS_GENERATION_UNSUPPORTED_MODEL","TTS_GENERATION_INVALID_INPUT","TTS_GENERATION_INSUFFICIENT_CREDITS","TTS_GENERATION_CONTENT_REJECTED"],"isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"description":"Human readable error message. Upstream vendor names are redacted.","type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations.","type":"string","uniqueKey":"error","typeLabel":"string"},"errors":{"description":"Field-level validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"details","typeLabel":"any"},"requested":{"description":"Requested credits when the error is insufficient credits.","type":"number","uniqueKey":"requested","typeLabel":"number"},"available":{"description":"Available credits when the error is insufficient credits.","type":"number","uniqueKey":"available","typeLabel":"number"}},"required":["code","message"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"TTS_GENERATION_RATE_LIMITED","code":"TTS_GENERATION_RATE_LIMITED","message":"Rate limit exceeded. Please retry later."}}},"exampleType":"examples"}},"exampleType":"examples"},"5f2390c8-12e5-4d00-99a1-52ebf556fd5c":{"description":"TTS generation failed before provider execution completed. Response includes code and message fields.","content":{"application/json":{"example":{"error":"TTS_GENERATION_FAILED","code":"TTS_GENERATION_FAILED","message":"Generation failed."},"schema":{"oneOf":[{"type":"object","required":["code","message"],"properties":{"code":{"description":"TTS generation error code. `*_FAILED` is the generic fallback; more specific codes (`*_TIMEOUT`, `*_RATE_LIMITED`, `*_PROVIDER_UNAVAILABLE`, `*_UNSUPPORTED_MODEL`, `*_INVALID_INPUT`, `*_INSUFFICIENT_CREDITS`, `*_CONTENT_REJECTED`) are surfaced when applicable.","type":"string","enum":["TTS_GENERATION_FAILED","TTS_GENERATION_TIMEOUT","TTS_GENERATION_RATE_LIMITED","TTS_GENERATION_PROVIDER_UNAVAILABLE","TTS_GENERATION_UNSUPPORTED_MODEL","TTS_GENERATION_INVALID_INPUT","TTS_GENERATION_INSUFFICIENT_CREDITS","TTS_GENERATION_CONTENT_REJECTED"],"isRequired":true,"uniqueKey":"oneOf.0.code","typeLabel":"enum\u003cstring>"},"message":{"description":"Human readable error message. Upstream vendor names are redacted.","type":"string","isRequired":true,"uniqueKey":"oneOf.0.message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations.","type":"string","uniqueKey":"oneOf.0.error","typeLabel":"string"},"errors":{"description":"Field-level validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"oneOf.0.errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"oneOf.0.errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"oneOf.0.details","typeLabel":"any"},"requested":{"description":"Requested credits when the error is insufficient credits.","type":"number","uniqueKey":"oneOf.0.requested","typeLabel":"number"},"available":{"description":"Available credits when the error is insufficient credits.","type":"number","uniqueKey":"oneOf.0.available","typeLabel":"number"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","required":["code","message"],"properties":{"code":{"description":"Machine-readable error code. Use this to branch in client code.","type":"string","isRequired":true,"uniqueKey":"oneOf.1.code","typeLabel":"string"},"message":{"description":"Human readable error message.","type":"string","isRequired":true,"uniqueKey":"oneOf.1.message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations. This may contain an unprefixed compatibility code for older clients.","type":"string","uniqueKey":"oneOf.1.error","typeLabel":"string"},"errors":{"description":"Field-level validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"oneOf.1.errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"oneOf.1.errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"oneOf.1.details","typeLabel":"any"}},"additionalProperties":false,"uniqueKey":"oneOf.1","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"TTS_GENERATION_FAILED","code":"TTS_GENERATION_FAILED","message":"Generation failed."}}},"exampleType":"examples"}},"exampleType":"examples"},"48e7f97d-0602-4eb9-9155-1a1bf48d3627":{"description":"TTS generation failed. Returned when the upstream provider reports a generic failure.","content":{"application/json":{"example":{"error":"TTS_GENERATION_FAILED","code":"TTS_GENERATION_FAILED","message":"Generation failed."},"schema":{"type":"object","properties":{"code":{"description":"TTS generation error code. `*_FAILED` is the generic fallback; more specific codes (`*_TIMEOUT`, `*_RATE_LIMITED`, `*_PROVIDER_UNAVAILABLE`, `*_UNSUPPORTED_MODEL`, `*_INVALID_INPUT`, `*_INSUFFICIENT_CREDITS`, `*_CONTENT_REJECTED`) are surfaced when applicable.","type":"string","enum":["TTS_GENERATION_FAILED","TTS_GENERATION_TIMEOUT","TTS_GENERATION_RATE_LIMITED","TTS_GENERATION_PROVIDER_UNAVAILABLE","TTS_GENERATION_UNSUPPORTED_MODEL","TTS_GENERATION_INVALID_INPUT","TTS_GENERATION_INSUFFICIENT_CREDITS","TTS_GENERATION_CONTENT_REJECTED"],"isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"description":"Human readable error message. Upstream vendor names are redacted.","type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations.","type":"string","uniqueKey":"error","typeLabel":"string"},"errors":{"description":"Field-level validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"details","typeLabel":"any"},"requested":{"description":"Requested credits when the error is insufficient credits.","type":"number","uniqueKey":"requested","typeLabel":"number"},"available":{"description":"Available credits when the error is insufficient credits.","type":"number","uniqueKey":"available","typeLabel":"number"}},"required":["code","message"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"TTS_GENERATION_FAILED","code":"TTS_GENERATION_FAILED","message":"Generation failed."}}},"exampleType":"examples"}},"exampleType":"examples"},"521b662d-0816-48e0-a8a6-de4c15a85fe4":{"description":"Upstream generation provider is unavailable.","content":{"application/json":{"example":{"error":"TTS_GENERATION_PROVIDER_UNAVAILABLE","code":"TTS_GENERATION_PROVIDER_UNAVAILABLE","message":"Upstream generation provider is temporarily unavailable."},"schema":{"type":"object","properties":{"code":{"description":"TTS generation error code. `*_FAILED` is the generic fallback; more specific codes (`*_TIMEOUT`, `*_RATE_LIMITED`, `*_PROVIDER_UNAVAILABLE`, `*_UNSUPPORTED_MODEL`, `*_INVALID_INPUT`, `*_INSUFFICIENT_CREDITS`, `*_CONTENT_REJECTED`) are surfaced when applicable.","type":"string","enum":["TTS_GENERATION_FAILED","TTS_GENERATION_TIMEOUT","TTS_GENERATION_RATE_LIMITED","TTS_GENERATION_PROVIDER_UNAVAILABLE","TTS_GENERATION_UNSUPPORTED_MODEL","TTS_GENERATION_INVALID_INPUT","TTS_GENERATION_INSUFFICIENT_CREDITS","TTS_GENERATION_CONTENT_REJECTED"],"isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"description":"Human readable error message. Upstream vendor names are redacted.","type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations.","type":"string","uniqueKey":"error","typeLabel":"string"},"errors":{"description":"Field-level validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"details","typeLabel":"any"},"requested":{"description":"Requested credits when the error is insufficient credits.","type":"number","uniqueKey":"requested","typeLabel":"number"},"available":{"description":"Available credits when the error is insufficient credits.","type":"number","uniqueKey":"available","typeLabel":"number"}},"required":["code","message"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"TTS_GENERATION_PROVIDER_UNAVAILABLE","code":"TTS_GENERATION_PROVIDER_UNAVAILABLE","message":"Upstream generation provider is temporarily unavailable."}}},"exampleType":"examples"}},"exampleType":"examples"},"1fc4012d-8311-4744-85a1-54a50e17f801":{"description":"TTS generation exceeded the upstream timeout.","content":{"application/json":{"example":{"error":"TTS_GENERATION_TIMEOUT","code":"TTS_GENERATION_TIMEOUT","message":"Generation timed out."},"schema":{"type":"object","properties":{"code":{"description":"TTS generation error code. `*_FAILED` is the generic fallback; more specific codes (`*_TIMEOUT`, `*_RATE_LIMITED`, `*_PROVIDER_UNAVAILABLE`, `*_UNSUPPORTED_MODEL`, `*_INVALID_INPUT`, `*_INSUFFICIENT_CREDITS`, `*_CONTENT_REJECTED`) are surfaced when applicable.","type":"string","enum":["TTS_GENERATION_FAILED","TTS_GENERATION_TIMEOUT","TTS_GENERATION_RATE_LIMITED","TTS_GENERATION_PROVIDER_UNAVAILABLE","TTS_GENERATION_UNSUPPORTED_MODEL","TTS_GENERATION_INVALID_INPUT","TTS_GENERATION_INSUFFICIENT_CREDITS","TTS_GENERATION_CONTENT_REJECTED"],"isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"description":"Human readable error message. Upstream vendor names are redacted.","type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"error":{"description":"Legacy machine-readable error field. Prefer `code` for new integrations.","type":"string","uniqueKey":"error","typeLabel":"string"},"errors":{"description":"Field-level validation errors when available.","type":"array","items":{"type":"object","properties":{"path":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"}},"required":["path","message","code"],"additionalProperties":false,"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"details":{"description":"Additional structured error details when available.","uniqueKey":"details","typeLabel":"any"},"requested":{"description":"Requested credits when the error is insufficient credits.","type":"number","uniqueKey":"requested","typeLabel":"number"},"available":{"description":"Available credits when the error is insufficient credits.","type":"number","uniqueKey":"available","typeLabel":"number"}},"required":["code","message"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"TTS_GENERATION_TIMEOUT","code":"TTS_GENERATION_TIMEOUT","message":"Generation timed out."}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"c3ed366e-0dd6-4351-86d9-5e3a945a7b30":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"API Key for API endpoints","scopes":[]}}},"servers":{"eb5a38af-83b8-4095-a17d-d71dd29e0397":{"url":"https://open.skills.video/api/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"API Key for API endpoints","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"API Key for API endpoints","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.json"},"subdomain":"blendduck-2834aad9","siteName":"skills.video","title":"MiniMax Speech 2.8 HD - skills.video","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-08T06:37:56.957Z","originalFileLocation":"api-reference/minimax-speech-28-hd.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"skills.video\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/blendduck-2834aad9/VEUYGpoQ6RBSWfa0/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/blendduck-2834aad9/VEUYGpoQ6RBSWfa0/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/blendduck-2834aad9/VEUYGpoQ6RBSWfa0/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/blendduck-2834aad9/VEUYGpoQ6RBSWfa0/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/blendduck-2834aad9/VEUYGpoQ6RBSWfa0/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/blendduck-2834aad9/VEUYGpoQ6RBSWfa0/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/blendduck-2834aad9/VEUYGpoQ6RBSWfa0/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/blendduck-2834aad9/VEUYGpoQ6RBSWfa0/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/blendduck-2834aad9/VEUYGpoQ6RBSWfa0/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"MiniMax Speech 2.8 HD - skills.video\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"skills.video\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.skills.video/api-reference/minimax-speech-28-hd\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://blendduck-2834aad9.mintlify.site/_mintlify/api/og/v2?division=MiniMax\u0026amp;title=MiniMax+Speech+2.8+HD\u0026amp;theme=179490b5edc0fa461ddcd645\u0026amp;signature=9759698e64b2d79460e445d9e78ec732614e375c342403603420416354336f87\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"MiniMax Speech 2.8 HD - skills.video\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://blendduck-2834aad9.mintlify.site/_mintlify/api/og/v2?division=MiniMax\u0026amp;title=MiniMax+Speech+2.8+HD\u0026amp;theme=179490b5edc0fa461ddcd645\u0026amp;signature=9759698e64b2d79460e445d9e78ec732614e375c342403603420416354336f87\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/blendduck-2834aad9/VEUYGpoQ6RBSWfa0/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"skills.video\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#8b3dff\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.skills.video/api-reference/minimax-speech-28-hd\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/minimax-speech-28-hd.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.skills.video/#organization\",\"name\":\"skills.video\",\"url\":\"https://docs.skills.video\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/blendduck-2834aad9/vArVwxW9REHjPdvP/logo/light.svg?fit=max\u0026auto=format\u0026n=vArVwxW9REHjPdvP\u0026q=85\u0026s=24380b4ad31057a17f3c8031790dacf2\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.skills.video#website\",\"name\":\"skills.video\",\"url\":\"https://docs.skills.video\",\"publisher\":{\"@id\":\"https://docs.skills.video/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.skills.video/api-reference/minimax-speech-28-hd#webpage\",\"url\":\"https://docs.skills.video/api-reference/minimax-speech-28-hd\",\"name\":\"MiniMax Speech 2.8 HD\",\"dateModified\":\"2026-05-08T06:37:56.957Z\",\"isPartOf\":{\"@id\":\"https://docs.skills.video#website\"},\"breadcrumb\":{\"@id\":\"https://docs.skills.video/api-reference/minimax-speech-28-hd#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.skills.video/api-reference/minimax-speech-28-hd#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"APIs\",\"item\":\"https://docs.skills.video/api-reference/sora-2-pro\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"TTS\",\"item\":\"https://docs.skills.video/api-reference/generate-tts-audio-synchronous\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"MiniMax Speech 2.8 HD\",\"item\":\"https://docs.skills.video/api-reference/minimax-speech-28-hd\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.skills.video/api-reference/minimax-speech-28-hd#apireference\",\"headline\":\"MiniMax Speech 2.8 HD\",\"name\":\"MiniMax Speech 2.8 HD\",\"url\":\"https://docs.skills.video/api-reference/minimax-speech-28-hd\",\"mainEntityOfPage\":{\"@id\":\"https://docs.skills.video/api-reference/minimax-speech-28-hd#webpage\"},\"dateModified\":\"2026-05-08T06:37:56.957Z\",\"publisher\":{\"@id\":\"https://docs.skills.video/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.skills.video#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"skills.video\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"skills.video\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/minimax-speech-28-hd.md","siteName":"skills.video","nav":{"global":null,"tabs":[{"tab":"Home","groups":[{"group":"Get started","pages":[{"title":"Introduction","href":""},{"title":"Quick Start","href":"/quickstart"},{"title":"Skills Usage","href":"/skills-usage"},{"title":"Authentication","href":"/authentication"},{"title":"SSE Streaming","href":"/sse"},{"title":"Webhooks","href":"/webhook"}]},{"group":"Billing","pages":[{"title":"Pricing Overview","href":"/billing/pricing-overview"},{"title":"Usage-Based Pricing","href":"/billing/usage-based-pricing"}]},{"group":"APIs","pages":[{"group":"Videos","pages":[{"group":"OpenAI","pages":[{"title":"Sora 2 Pro","deprecated":null,"version":null,"openapi":"/openapi.json post /generation/openai/sora-2-pro","href":"/api-reference/sora-2-pro"},{"title":"Sora","deprecated":null,"version":null,"openapi":"/openapi.json post /generation/openai/sora-2","href":"/api-reference/sora"}]},{"group":"Google","pages":[{"title":"Veo 3.1","deprecated":null,"version":null,"openapi":"/openapi.json post /generation/google/veo-3.1","href":"/api-reference/veo-31"},{"title":"Veo 3.1 Fast","deprecated":null,"version":null,"openapi":"/openapi.json post /generation/google/veo-3.1-fast","href":"/api-reference/veo-31-fast"},{"title":"Veo 3.1 Lite","deprecated":null,"version":null,"openapi":"/openapi.json post /generation/google/veo-3.1-lite","href":"/api-reference/veo-31-lite"}]},{"group":"Bytedance","pages":[{"title":"Seedance 2.0","deprecated":null,"version":null,"openapi":"/openapi.json post /generation/bytedance/seedance-2.0","href":"/api-reference/seedance-20"},{"title":"Seedance 2.0 Fast","deprecated":null,"version":null,"openapi":"/openapi.json post /generation/bytedance/seedance-2.0/fast","href":"/api-reference/seedance-20-fast"},{"title":"Seedance 2.0 Fast","deprecated":null,"version":null,"openapi":"/openapi.json post /generation/bytedance/seedance-2.0/fast","href":"/api-reference/seedance-20-fast"},{"title":"Seedance 1 Pro","deprecated":null,"version":null,"openapi":"/openapi.json post /gene
[...]
